import request from '@/utils/request'

// 查询定点测厚列表
export function listThickness(query) {
  return request({
    url: '/sems/thickness/list',
    method: 'get',
    params: query
  })
}

//获取word url
export function wordView(id) {
  return request({
    url: '/sems/thickness/wordView/' + id,
    method: 'get',
  })
}

// 查询定点测厚详细
export function getThickness(id) {
  return request({
    url: '/sems/thickness/' + id,
    method: 'get'
  })
}

// 新增定点测厚
export function addThickness(data) {
  return request({
    url: '/sems/thickness',
    method: 'post',
    data: data
  })
}

// 修改定点测厚
export function updateThickness(data) {
  return request({
    url: '/sems/thickness',
    method: 'put',
    data: data
  })
}

// 删除定点测厚
export function delThickness(id) {
  return request({
    url: '/sems/thickness/' + id,
    method: 'delete'
  })
}

// 导出定点测厚
export function exportThickness(query) {
  return request({
    url: '/sems/thickness/export',
    method: 'get',
    params: query
  })
}
